# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'tmux-plugins/tmux-pain-control'
set -g @plugin 'roosta/tmux-fuzzback'


# Colorscheme
set -g @plugin 'dracula/tmux'

set -g @dracula-plugins "git time"
set -g @dracula-show-powerline false
set -g @dracula-day-month true
set -g @dracula-show-fahrenheit false
set -g @dracula-show-flags false
set -g @dracula-border-contrast true
set -g @dracula-military-time true


set -g prefix2 C-a
bind C-a send-prefix -2


bind Tab last-window
#bind-key K send-keys -R ^M \; clear-history
bind -n C-l send-keys C-l \; run 'sleep 0.1' \; clear-history

set -g base-index 1           # start windows numbering at 1
setw -g pane-base-index 1     # make pane numbering consistent with windows

# Fuzzback
set -g @fuzzback-popup 1

# Continuum
set -g @plugin 'tmux-plugins/tmux-resurrect'
set -g @plugin 'tmux-plugins/tmux-continuum'
set -g @continuum-restore 'on'

# Vim Keybinding
set-window-option -g mode-keys vi
bind-key -T copy-mode-vi v send -X begin-selection
bind-key -T copy-mode-vi V send -X select-line
bind-key -T copy-mode-vi y send -X copy-pipe-and-cancel 'xclip -in -selection clipboard'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
